Create Evaluation Pipeline
curl --request POST \
--url https://api.promptlayer.com/reports \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"test_dataset_id": 123
}
'import requests
url = "https://api.promptlayer.com/reports"
payload = {
"name": "<string>",
"test_dataset_id": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', test_dataset_id: 123})
};
fetch('https://api.promptlayer.com/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reference
Create Evaluation Pipeline
POST
/
reports
Create Evaluation Pipeline
This endpoint allows for the creation of Evaluation pipelines. These pipelines are given a name and associated with a dataset.
Request Parameters
string
The name of the report to be created. Must be between 1 and 255 characters in length.
integer
The ID of the dataset on which the report will be based. The dataset must be within an accessible workspace to the user.
Was this page helpful?
⌘I

